ilisp won't install (string-match "2.03" comint-version)

Bug #1121618 reported by wolfgang wayland on 2013-02-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ilisp (Ubuntu)
Undecided
Unassigned

Bug Description

I'm using emacs24
the apt-get and Software Center wont proprly load/ldconfig ilisp because of the fallowing comint-version problem.

emcas *Backtrace* output.

Debugger entered--Lisp error: (void-variable comint-version)
  (string-match "2.03" comint-version)
  (if (string-match "2.03" comint-version) (fset (quote comint-mem) (quote member)))
  eval-buffer(#<buffer *load*<3>> nil "/usr/share/emacs24/site-lisp/ilisp/ilfsf18.el" nil t) ; Reading at buffer position 446
  load-with-code-conversion("/usr/share/emacs24/site-lisp/ilisp/ilfsf18.el" "/usr/share/emacs24/site-lisp/ilisp/ilfsf18.el" nil nil)
  load("ilfsf18")
  (cond ((or (eq +ilisp-emacs-version-id+ (quote lucid-19)) (eq +ilisp-emacs-version-id+ (quote lucid-19-new))) (load "illuc19")) ((eq +ilisp-emacs-version-id+ (quote xemacs)) (load "ilxemacs")) ((eq +ilisp-emacs-version-id+ (quote fsf-18)) (load "ilfsf18")) ((eq +ilisp-emacs-version-id+ (quote fsf-19)) (load "ilfsf19")) ((eq +ilisp-emacs-version-id+ (quote fsf-20)) (load "ilfsf20")) ((eq +ilisp-emacs-version-id+ (quote fsf-21)) (load "ilfsf21")) ((eq +ilisp-emacs-version-id+ (quote fsf-22)) (load "ilfsf22")) ((eq +ilisp-emacs-version-id+ (quote fsf-23)) (load "ilfsf23")))
  eval-buffer(#<buffer *load*<2>> nil "/usr/share/emacs24/site-lisp/ilisp/ilcompat.el" nil t) ; Reading at buffer position 2005
  load-with-code-conversion("/usr/share/emacs24/site-lisp/ilisp/ilcompat.el" "/usr/share/emacs24/site-lisp/ilisp/ilcompat.el" nil nil)
  load("ilcompat")
  eval-buffer(#<buffer *load*> nil "/usr/share/emacs24/site-lisp/ilisp/ilisp.el" nil t) ; Reading at buffer position 3203
  load-with-code-conversion("/usr/share/emacs24/site-lisp/ilisp/ilisp.el" "/usr/share/emacs24/site-lisp/ilisp/ilisp.el" nil nil)
  load("ilisp")
  load-library("ilisp")
  call-interactively(load-library t nil)
  execute-extended-command(nil)
  call-interactively(execute-extended-command nil nil)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers